
/* 第一个*/
.first {
    height: 600px;
}

.first-box {
    height: 600px;
    width: 100%;
    background: url("../img/python/bag1.jpg") no-repeat;
    background-size: 100% 100%;
}

.first-main {
    width: 1100px;
    color: #FFFFFF;
    padding-top: 140px;
}

.first-left > button {
    width: 239px;
    height: 50px;
    border-radius: 25px;
    color: #6c480f;
    font-size: 22px;
    line-height: 50px;
    text-align: center;
    margin-top: 56px;
}

.first-right {
    text-align: center;
    width: 650px;
}

.first-right > p:nth-of-type(1) {
    padding-top: 45px;
}


.first-right > p:nth-of-type(2) {
    line-height: 2.4;
}

.first-right > p:nth-of-type(4) {
    line-height: 3;
    position: relative;
}

.first-right > p:nth-of-type(4) > span:before {
    content: '';
    position: absolute;
    top: 30px;
    background: #ffffff;
    width: 39px;
    height: 3px;
    left: 195px;
}

.first-right > p:nth-of-type(4) > span:after {
    content: '';
    position: absolute;
    top: 32px;
    background: #ffffff;
    width: 39px;
    height: 3px;
    left: 415px;
}


/* 第二个*/
.second {
    height: 740px;
    background: url("../img/python/bag2.jpg") no-repeat;
    background-size: 100% 100%;
}

.second-box {
    width: 1040px;
    height: 370px;
}

.second-box > div {
    width: 390px;
}

.second-box > div > p:nth-of-type(1) {
    padding: 38px 0 20px 0;
}

.second-box > div > ul > li {
    padding-bottom: 15px;
}

.second-box > div > ul > li:nth-of-type(3) {
    padding-bottom: 0;
}

.second-box > div > ul > li:nth-of-type(4) {
    padding-left: 40px;
}

.second-box > div > ul > li:last-child {
    padding-bottom: 0;
}

.second-box > div > ul > li > span {
    display: inline-block;
    width: 26px;
    height: 26px;
    line-height: 26px;
    border-radius: 50%;
    text-align: center;
    background-color: #6d42c0;
    border: solid 2px #a35eae;
    margin-right: 10px;
    color: #ffffff;
}

.second-box > img {
    width: 560px;
    height: 370px;
    border-radius: 10px;
}

/* 第三个*/
.third {
    height: 740px;
    background: url("../img/python/bag3.jpg") no-repeat;
    background-size: 100% 100%;
}

.third-box {
    width: 1040px;
    height: 430px;
}

.third-box > img {
    width: 542px;
    height: 430px;
    border-radius: 10px;
}

.third-box > div {
    width: 425px;
    color: #ffffff;
}

.third-box-txt > button {
    width: 220px;
    height: 50px;
    line-height: 50px;
    border-radius: 25px;
    margin-top: 50px;
    border: 0;
    padding: 0;
    outline: none;

}

.third-box-txt > p:nth-of-type(1) {
    padding-top: 65px;

}

.third-box-txt > p:nth-of-type(2) {
    line-height: 3;
    padding-bottom: 10px;

}

.third-box-txt > p:nth-of-type(3) {
    line-height: 1.8;

}

/* 第四个*/
.fourthly {
    height: 740px;
    background: url("../img/python/bag4.jpg") no-repeat;
    background-size: 100% 100%;
}

.fourthly-box {
    width: 1200px;
}

.fourthly-title {
    color: #ffffff;
    height: 270px;
    text-align: center;
    padding-top: 107px;
    box-sizing: border-box;
}

.fourthly-title > p:nth-of-type(2) {
    line-height: 3;
}

.fourthly-code > ul > li {
    width: 202px;
    height: 238px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    padding: 42px 34px 0 34px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.fourthly-code > ul > li > p:nth-of-type(1) {
    padding: 10px 0 35px 0;
}

/* 第五个*/
.fifth {
    height: 740px;
    background: url("../img/python/bag5.jpg") no-repeat;
    background-size: 100% 100%;
}

.fifth-box {
    width: 1040px;
    position: relative;
    padding-top: 140px;
}

.fifth-title {
    position: absolute;
    top: 80px;
    left: 0;
    font-family: PingFang-SC-Medium sans-serif;
}

.fifth-title > p:nth-of-type(2) {
    padding: 8px 0 0 0;
    line-height: 1.8;
}


.fifth-bottom {
    width: 1040px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    background-color: #bf9cff;
    border-radius: 0 0 10px 10px;
    border: solid 1px #9363ec;
    font-family: PingFang-SC-Regular sans-serif;
    font-size: 14px;
    color: #181818;
    font-weight: bold;
}

.fifth-histogram > ul {
    width: 100%;
}

.fifth-histogram > ul > li {
    width: 160px;
    display: flex;
    flex-direction: column;
    align-items: center;

}

.histogram-title {
    font-size: 14px;
    margin-bottom: 14px;
    width: 160px;
    height: 50px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-weight: bold;
}

.histogram-title > p:last-child {
    text-align: center;
}

.histogram-body {
    width: 132px;
    border-radius: 10px 10px 0 0;
    font-size: 15px;
    color: #181818;
    padding: 0 14px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.histogram-body>p{
    padding-bottom: 10px;
    box-sizing: border-box;
}

.histogram-body-first {
    height: 181px;
}

.histogram-body-second {
    height: 221px;
}

.histogram-body-third {
    height: 259px;
}

.histogram-body-fourthly {
    height: 298px;
}

.histogram-body-fifth {
    height: 337px;
}

.histogram-body-sixth {
    height: 376px;
}

.histogram-bottom {
    width: 160px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    font-family: PingFang-SC-Regular sans-serif;
    font-size: 14px;
    color: #181818;
    margin: 5px 0;
    font-weight: bold;
}

.histogram-main-body {
    width: 160px;
    margin: 10px 0;
    height: 30px;
    text-align: center;
    line-height: 30px;
    font-size: 14px;
}

.histogram-main-base {
    width: 160px;
    height: 36px;
    text-align: center;
    line-height: 35px;
    font-size: 14px;
}

/* */
.head-first {
    height: 124px;
}

.head-first > ul > li > span {
    border: 2px solid #a77b20;
}

.head-second {
    height: 156px;
}

.head-second > ul > li > span {
    border: 2px solid #c25f26;
}

.head-third {
    height: 190px;
}

.head-third > ul > li > span {
    border: 2px solid #51972e;
}

.head-fourthly {
    height: 223px;
}

.head-fourthly > ul > li > span {
    border: 2px solid #3a5a96;
}

.head-fifth {
    height: 255px;
}

.head-fifth > ul > li > span {
    border: 2px solid #1884b7;
}

.head-sixth {
    height: 290px;
}

.head-sixth > ul > li > span {
    border: 2px solid #cd574c;
}

.head-seventh {
    height: 325px;
}

.head-seventh > ul > li > span {
    border: 2px solid #537bae;
}

.histogram-main-head > p:nth-of-type(1) {
    padding-top: 15px;
    font-size: 14px;
    text-align: center;
}

.histogram-main-head > p:nth-of-type(2) {
    padding: 11px 0;
    font-size: 14px;
    text-align: center;
}

.histogram-main-head > ul > li {
    font-size: 12px;
    padding-bottom: 7px;
    margin-left: 20px;

}

.histogram-main-head > ul > li > span {
    display: inline-block;
    border-radius: 50%;
    margin-right: 6px;
}

.histogram-main-head > ul > li:last-child {
    padding-bottom: 0;
}

/* 第六个*/
.sixth {
    height: 840px;
    background: url("../img/python/bag6.jpg") no-repeat;
    background-size: 100% 100%;
}

.sixth-box {
    background: url("../img/python/video-bag.png") no-repeat;
    background-size: 100% 100%;
    width: 1040px;
    height: 660px;
    box-shadow: 0 16px 98px 0 rgba(32, 32, 32, 0.11);
    border-radius: 10px;
}

.sixth-main {
    margin: 45px 55px;

}

.sixth-box-top {
    height: 350px;
}

.sixth-box-video {
    width: 520px;
    height: 350px;
    background: url("page1/img/back-video.png") no-repeat;
    background-size: 100% 100%;
    position: relative;
}

.myVideo {
    width: 505px;
    height: 335px;
    background: url("../img/python/python-video-cover.png") no-repeat;
    background-size: 100% 100%;
    position: absolute;
    left: 0;
    bottom: 0;
}

#sixVideo {
    width: 505px;
    height: 335px;
}

.sixth-box-txt {
    width: 350px;
}

.sixth-box-txt > p:nth-of-type(1) {
    padding-top: 48px;
    line-height: 2.6;
    font-family: PingFang-SC-Medium sans-serif;
}

.sixth-box-txt > button {
    color: #ffffff;
    width: 269px;
    height: 50px;
    border-radius: 25px;
    line-height: 50px;
    padding: 0;
    border: 1px solid transparent;
    outline: none;
    margin-top: 70px;


}

.sixth-box-bottom {
    height: 185px;
    color: #2c2c2c;
    margin-top: 35px;
}

.sixth-box-bottom > div {
    width: 854px;
    height: 100px;
    background-color: #f5f5f5;
    border-radius: 10px;
    font-size: 14px;
    padding: 25px 35px;
    color: #2c2c2c;
    opacity: 0.8;
    font-family: PingFangSC-Regular, sans-serif;
}

.sixth-box-bottom > div > p {
    line-height: 1.8;
}

/* 第七个*/
.seventh {
    height: 840px;
    background: url("../img/python/bag7.jpg") no-repeat;
    background-size: 100% 100%;
}

.seventh-box {
    width: 1040px;
    height: 655px;
}

.seventh-box-top {
    height: 336px;
}


.seventh-box-txt > p:nth-of-type(1) {
    line-height: 3;
    padding-top: 28px;
}

.seventh-box-txt > ul > li {
    padding-bottom: 15px;

}

.seventh-box-txt > ul > li:last-child {
    padding-bottom: 0px;

}

.seventh-box-txt > ul > li > div {
    width: 26px;
    height: 26px;
    line-height: 26px;
    background-color: #6d42c0;
    border: solid 2px #a35eae;
    border-radius: 50%;
    margin-right: 10px;
}

.seventh-box-video {
    width: 506px;
    height: 336px;
    background-color: black;
}

#seventhVideo {
    width: 506px;
    height: 336px;
}

.seventh-box-code {
    height: 265px;
}

.seventh-code-top {
    flex: 1;
}

.seventh-code-bottom {
    height: 110px;
    border-top: 1px solid #E6E3F7;
}

.seventh-code-bottom > div {
    width: 50%;
    margin-left: 58px;
}

.seventh-code-bottom > div > p {
    line-height: 1.8;
}

.seventh-code-bottom > div:first-child {
    border-right: 1px solid #E6E3F7;
}

.code-top-content {
    padding: 45px;
    color: #2d2d2d;
}

.code-top-content > p {
    padding-bottom: 20px;
}
.eighth{
    height: 840px;
    background: url("../img/python/bag8.jpg")no-repeat;
    background-size: 100% 100%;
}





